PUT members Id

PUT/members/{id}
AuthorizationBearer <token>

Paste your JWT token here

In: header

Path Parameters

idstring

The unique identifier of the member to update.

Formatuuid

The data transfer object containing the complete updated profile information.

studentNumberstring

The student number of the member.

firstNamestring

The first name of the member.

Length0 <= length <= 60
lastNamestring

The last name of the member.

Length0 <= length <= 60
emailstring

The email address of the member.

Formatemail
Length0 <= length <= 100
phoneNumberstring

The phone number of the member.

Match^(\+?[1-9]\d{6,14}|0[1-9]\d{8})$
Length1 <= length
streetstring

The street of the member.

Length0 <= length <= 40
houseNumberstring

The house number of the member.

Match^[1-9][0-9]*\s?([a-zA-Z]|[a-zA-Z]{1,3}bis)?$
Length0 <= length <= 10
postalCodestring

The postal code of the member.

Length0 <= length <= 10
citystring

The city of the member.

Length0 <= length <= 40
dateOfBirthstring

The date of birth of the member.

Formatdate-time
parentPhoneNumber?string|null

Phone number of the member's parent or guardian, if the member is a minor.

Match^(\+?[1-9]\d{6,14}|0[1-9]\d{8})$
mailSubscriptions?integer

The mail subscriptions of the member.

Formatint32
notes?string|null

The notes about the member.

preferredLanguagestring

Defines the language preference of a member, which can be either Dutch (NL) or English (EN). This enumeration is used to indicate the preferred language for communication and content presentation for a member within the system.

Formatint32
Value in"NL" | "EN"
gratie?boolean

Indicates whether the member is granted a fee waiver.

lidVanVerdienste?boolean

Indicates whether the member is a "Lid van Verdienste".

ereLid?boolean

Indicates whether the member is an honorary member.

begunstiger?boolean

Indicates whether the member is a "Begunstiger".

suspended?boolean

Indicates whether the member is suspended.

Response Body

application/json

application/json

application/json

curl -X PUT "https://loading/members/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "studentNumber": "string",    "firstName": "string",    "lastName": "string",    "email": "user@example.com",    "phoneNumber": "string",    "street": "string",    "houseNumber": "string",    "postalCode": "string",    "city": "string",    "dateOfBirth": "2019-08-24T14:15:22Z",    "preferredLanguage": "NL"  }'
Empty
{
  "message": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}